<?php

Yii::import('application.modules.core_models.models._base.BaseModel');

/**
 * This is the model base class for the table "directory_setting_config_history".
 * DO NOT MODIFY THIS FILE! It is automatically generated by giix.
 * If any changes are necessary, you must set or override the required
 * property or method in class "DirectorySettingConfigHistory".
 *
 * Columns in table "directory_setting_config_history" available as properties of the model,
 * and there are no model relations.
 *
 * @property string $id
 * @property string $partner_site_id
 * @property string $last_date_updated
 * @property string $config_front
 * @property string $config_back
 * @property string $is_prod
 *
 */
abstract class BaseDirectorySettingConfigHistory extends BaseModel
{

    public static function model($className = __CLASS__)
    {
        return parent::model($className);
    }

    public function tableName()
    {
        return 'directory_setting_config_history';
    }

    public static function label($n = 1)
    {
        return Yii::t('app', 'DirectorySettingConfigHistory|DirectorySettingConfigHistories', $n);
    }

    public static function representingColumn()
    {
        return 'is_prod';
    }

    public function rules()
    {
        return array(
            array('id, partner_site_id, is_prod', 'length', 'max'=>10),
            array('last_date_updated, config_front, config_back', 'safe'),
            array('id, partner_site_id, last_date_updated, config_front, config_back, is_prod', 'default', 'setOnEmpty' => true, 'value' => null),
            array('id, partner_site_id, last_date_updated, config_front, config_back, is_prod', 'safe', 'on'=>'search'),
        );
    }

    public function relations()
    {
        return array(
        );
    }

    public function pivotModels()
    {
        return array(
        );
    }

    public function attributeLabels()
    {
        return array(
            'id' => Yii::t('app', 'ID'),
            'partner_site_id' => Yii::t('app', 'Partner Site'),
            'last_date_updated' => Yii::t('app', 'Last Date Updated'),
            'config_front' => Yii::t('app', 'Config Front'),
            'config_back' => Yii::t('app', 'Config Back'),
            'is_prod' => Yii::t('app', 'Is Prod'),
        );
    }

    public function search()
    {
        $criteria = new CDbCriteria;

        $criteria->compare('id', $this->id, true);
        $criteria->compare('partner_site_id', $this->partner_site_id, true);
        $criteria->compare('last_date_updated', $this->last_date_updated, true);
        $criteria->compare('config_front', $this->config_front, true);
        $criteria->compare('config_back', $this->config_back, true);
        $criteria->compare('is_prod', $this->is_prod, true);

        return new CActiveDataProvider($this, array(
            'criteria' => $criteria, 'pagination' => array('pageSize' => 100)
        ));
    }

}
